Bug 1109244 - FormatCreateError: ('invalid device specification', '/dev/sda1')
Summary: FormatCreateError: ('invalid device specification', '/dev/sda1')
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f565c3653935ae7d8b2e72c088d...
: 1109148 1109565 1109914 1120899 1120947 1150023 1153346 1153657 1153690 1161280 (view as bug list)
Depends On:
Blocks: F21PPCAlpha F21PPCBeta
TreeView+ depends on / blocked
 
Reported: 2014-06-13 13:22 UTC by satellitgo
Modified: 2016-07-19 11:47 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:47:47 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (424.47 KB, text/plain)
2014-06-13 13:22 UTC, satellitgo
no flags Details
File: anaconda.log (13.84 KB, text/plain)
2014-06-13 13:22 UTC, satellitgo
no flags Details
File: environ (548 bytes, text/plain)
2014-06-13 13:22 UTC, satellitgo
no flags Details
File: journalctl (222.63 KB, text/plain)
2014-06-13 13:22 UTC, satellitgo
no flags Details
File: lsblk_output (2.17 KB, text/plain)
2014-06-13 13:22 UTC, satellitgo
no flags Details
File: nmcli_dev_list (1.98 KB, text/plain)
2014-06-13 13:23 UTC, satellitgo
no flags Details
File: os_info (381 bytes, text/plain)
2014-06-13 13:23 UTC, satellitgo
no flags Details
File: program.log (24.59 KB, text/plain)
2014-06-13 13:23 UTC, satellitgo
no flags Details
File: storage.log (112.86 KB, text/plain)
2014-06-13 13:23 UTC, satellitgo
no flags Details
File: ifcfg.log (2.75 KB, text/plain)
2014-06-13 13:23 UTC, satellitgo
no flags Details

Description satellitgo 2014-06-13 13:22:50 UTC
Description of problem:
default install of workstation 20140613 x86_64 live in VirtualBox 2048 3 cpu - failed after install button clicked and formatting disk

Version-Release number of selected component:
anaconda-core-21.42-1.fc21.x86_64

The following was filed automatically by anaconda:
anaconda 21.42-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 392, in create
    raise FormatCreateError("invalid device specification", self.device)
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 810, in create
    DeviceFormat.create(self, **kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 554, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 355, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 356, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 215, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 179, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
FormatCreateError: ('invalid device specification', '/dev/sda1')

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Workstation-x86_64-r rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.16.0-0.rc0.git5.1.fc21.x86_64
other involved packages: python-blivet-0.56-1.fc21.noarch, python-libs-2.7.7-2.fc21.x86_64
product:        Fedora
release:        Fedora release 21 (Rawhide)
type:           anaconda
version:        rawhide

Comment 1 satellitgo 2014-06-13 13:22:52 UTC
Created attachment 908573 [details]
File: anaconda-tb

Comment 2 satellitgo 2014-06-13 13:22:54 UTC
Created attachment 908574 [details]
File: anaconda.log

Comment 3 satellitgo 2014-06-13 13:22:56 UTC
Created attachment 908575 [details]
File: environ

Comment 4 satellitgo 2014-06-13 13:22:57 UTC
Created attachment 908576 [details]
File: journalctl

Comment 5 satellitgo 2014-06-13 13:22:59 UTC
Created attachment 908577 [details]
File: lsblk_output

Comment 6 satellitgo 2014-06-13 13:23:00 UTC
Created attachment 908578 [details]
File: nmcli_dev_list

Comment 7 satellitgo 2014-06-13 13:23:02 UTC
Created attachment 908579 [details]
File: os_info

Comment 8 satellitgo 2014-06-13 13:23:03 UTC
Created attachment 908580 [details]
File: program.log

Comment 9 satellitgo 2014-06-13 13:23:05 UTC
Created attachment 908581 [details]
File: storage.log

Comment 10 satellitgo 2014-06-13 13:23:06 UTC
Created attachment 908582 [details]
File: ifcfg.log

Comment 11 satellitgo 2014-06-13 13:47:26 UTC
Another user experienced a similar problem:

custom partitioning ext4 std  workstation in VB x86_64 live 20140613

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Workstation-x86_64-r rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         3.16.0-0.rc0.git5.1.fc21.x86_64
other involved packages: python-blivet-0.56-1.fc21.noarch, python-libs-2.7.7-2.fc21.x86_64
package:        anaconda-core-21.42-1.fc21.x86_64
packaging.log:  
product:        Fedora
reason:         FormatCreateError: ('invalid device specification', '/dev/sda3')
release:        Fedora release 21 (Rawhide)
version:        rawhide

Comment 12 David Lehman 2014-06-16 17:09:58 UTC
We successfully create sda1, run wipefs on it, commit the new flags, then the device node isn't there when we try to run mkfs on it. I think parted closing the device triggers udev to remove and then re-create all of the partitions' device nodes, and it isn't done by the time we run mkfs. Simple fix.

Comment 13 David Shea 2014-06-17 15:58:24 UTC
*** Bug 1109148 has been marked as a duplicate of this bug. ***

Comment 14 David Shea 2014-06-17 15:58:38 UTC
*** Bug 1109914 has been marked as a duplicate of this bug. ***

Comment 15 David Shea 2014-06-17 15:59:18 UTC
*** Bug 1109565 has been marked as a duplicate of this bug. ***

Comment 16 satellitgo 2014-06-18 14:59:56 UTC
Another user experienced a similar problem:

try to install to Virtualbox failed in formatting prior to display of user and root screens

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Workstation-x86_64-r rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         3.16.0-0.rc1.git1.1.fc21.x86_64
other involved packages: python-blivet-0.56-1.fc21.noarch, python-libs-2.7.7-2.fc21.x86_64
package:        anaconda-core-21.42-1.fc21.x86_64
packaging.log:  
product:        Fedora
reason:         FormatCreateError: ('invalid device specification', '/dev/sda1')
release:        Fedora release 21 (Rawhide)
version:        rawhide

Comment 17 satellitgo 2014-06-26 19:24:30 UTC
Another user experienced a similar problem:

wireless is not available in NetworkManager comps (Networkmanager--wifi)
Boot.iso 20140626

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x20rawhide\x20x86_64 quiet
hashmarkername: anaconda
kernel:         3.16.0-0.rc2.git2.1.fc21.x86_64
package:        anaconda-21.44-1
product:        Fedora
reason:         FormatCreateError: ('invalid device specification', '/dev/sdb1')
release:        Cannot get release name.
version:        rawhide

Comment 18 A.J. Werkman 2014-06-28 07:47:44 UTC
Another user experienced a similar problem:

Plain installation from a mirror

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:UUID=7d4f063c-b453-4b6d-813c-7bc4dcf07d1b
hashmarkername: anaconda
kernel:         3.16.0-0.rc2.git2.1.fc21.x86_64
package:        anaconda-21.44-1
product:        Fedora
reason:         FormatCreateError: ('invalid device specification', '/dev/sda5')
release:        Cannot get release name.
version:        rawhide

Comment 19 Petr Schindler 2014-06-30 08:42:59 UTC
Another user experienced a similar problem:

I followed defaults. On installation destination I reclaimed the whole disk to use for installation.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora\x20rawhide\x20x86_64 quiet
hashmarkername: anaconda
kernel:         3.16.0-0.rc2.git4.1.fc21.x86_64
package:        anaconda-21.45-1
product:        Fedora
reason:         FormatCreateError: ('invalid device specification', '/dev/sda2')
release:        Cannot get release name.
version:        rawhide

Comment 20 iliketurtlesbro 2014-07-01 06:22:34 UTC
Another user experienced a similar problem:

performing a normal fedora install, no special configurations .

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora\x20rawhide\x20x86_64 quiet
hashmarkername: anaconda
kernel:         3.16.0-0.rc2.git4.1.fc21.x86_64
package:        anaconda-21.45-1
product:        Fedora
reason:         FormatCreateError: ('invalid device specification', '/dev/sdb2')
release:        Cannot get release name.
version:        rawhide

Comment 21 David Lehman 2014-07-07 17:26:35 UTC
I have prepared an updates image containing a possible fix. To test the update, add the following to the boot command line:

 inst.updates=http://dlehman.fedorapeople.org/updates/updates-1109244.0.img


Please provide feedback after testing. Thanks.

Comment 22 David Lehman 2014-07-18 13:35:43 UTC
Uploaded

  http://dlehman.fedorapeople.org/updates/updates-1109244.1.img

for use with python-blivet-0.61-1 and later.

Comment 23 Chris Murphy 2014-08-21 16:05:38 UTC
updates-1109244.1.img does make it work reliably. However, I've thus far been unable to reproduce the original problems with unpatched 20140820 (yesterday's) Fedora-Live-Workstation build. Has the problem been fixed elsewhere? The problems were rather non-determinstic so it's possible I just haven't stumbled on it again.

Comment 24 David Lehman 2014-09-25 18:52:36 UTC
*** Bug 1120947 has been marked as a duplicate of this bug. ***

Comment 25 Michel Normand 2014-10-07 14:39:45 UTC
*** Bug 1150023 has been marked as a duplicate of this bug. ***

Comment 26 David Shea 2014-10-07 21:05:33 UTC
*** Bug 1120899 has been marked as a duplicate of this bug. ***

Comment 27 Michel Normand 2014-10-16 13:19:23 UTC
we still have similar problem with ppc64 fc21 Alpha RC2 as reported by bug #1153346  and bug #1153657, are there really dups of this bug #1109244 ?

Comment 28 Adam Williamson 2014-10-16 16:18:21 UTC
https://www.happyassassin.net/temp/blivet-1109244.img is a current updates.img which should contain what, I believe, dlehman expects to fix this bug (a udev settle between writing partition flags and formatting). It's built against the blivet from 21 Beta TC3, blivet 0.61.4 - I don't know what's in the PPC build. Can folks who are hitting this please test with that updates.img , and/or let me know what blivet version is in the current PPC test images so I can create a different one? Thanks.

Comment 29 Mark Hamzy 2014-10-16 16:43:59 UTC
Adam,

Ppc uses http://ppc.koji.fedoraproject.org/mash/bleed/python-blivet-0.61.5-1.fc21.noarch.rpm for its RC2.  Which is not compatible with http://dlehman.fedorapeople.org/updates/updates-1109244.0.img

We see:

AttributeError: 'LVMLogicalVolumeDevice' object has no attribute 'singlePV'

Comment 30 Adam Williamson 2014-10-16 16:49:28 UTC
https://www.happyassassin.net/temp/blivet0615-1109244.img has the same patch, but against blivet 0.61.5 (pbrobinson tells me that's in the current PPC builds).

Comment 31 Mark Hamzy 2014-10-16 16:53:26 UTC
With https://www.happyassassin.net/temp/blivet-1109244.img, I see:

Traceback (most recent call first):
  File "/tmp/updates/blivet/devicetree.py", line 361, in processActions
    action.execute(callbacks)
  File "/tmp/updates/blivet/__init__.py", line 364, in doIt
    self.devicetree.processActions(callbacks)
  File "/tmp/updates/blivet/__init__.py", line 216, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 190, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
TypeError: execute() takes exactly 1 argument (2 given)

Testing https://www.happyassassin.net/temp/blivet0615-1109244.img now...

Comment 32 Fedora Update System 2014-10-20 19:02:00 UTC
anaconda-21.48.11-1.fc21, python-blivet-0.61.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.6-1.fc21,anaconda-21.48.11-1.fc21

Comment 33 Adam Williamson 2014-10-20 23:58:17 UTC
mark: did your test of my upgrades.img ever finish?

regardless, if you build a new compose with the blivet from c#32 you should be able to see if this is resolved.

Comment 34 Mark Hamzy 2014-10-21 15:13:03 UTC
Adam,

https://www.happyassassin.net/temp/blivet0615-1109244.img does work for me.  And hopefully the new compose will as well.

Comment 35 Adam Williamson 2014-10-21 15:33:12 UTC
Awesome news, thanks. Marking as VERIFIED.

Comment 36 Jakub Čajka 2014-10-22 12:23:04 UTC
*** Bug 1153690 has been marked as a duplicate of this bug. ***

Comment 37 Fedora Update System 2014-10-23 14:15:11 UTC
anaconda-21.48.12-1.fc21, python-blivet-0.61.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.7-1.fc21,anaconda-21.48.12-1.fc21

Comment 38 Michel Normand 2014-11-24 14:45:53 UTC
*** Bug 1161280 has been marked as a duplicate of this bug. ***

Comment 39 Michel Normand 2014-11-24 15:04:04 UTC
*** Bug 1153657 has been marked as a duplicate of this bug. ***

Comment 40 Michel Normand 2014-11-26 09:35:52 UTC
as said in bug 1153657, the correction of comment 37 seems to be part of fc21 pre-GA TC1 iso and tested.

Comment 41 David Lehman 2014-12-02 21:19:12 UTC
*** Bug 1153346 has been marked as a duplicate of this bug. ***

Comment 42 Jaroslav Reznik 2015-03-03 17:20:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 43 Fedora End Of Life 2016-07-19 11:47:47 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.